package com.livelike.flickersearchlibrary.service.logic

import com.livelike.flickersearchlibrary.api.FlickrApi
import com.livelike.flickersearchlibrary.api.model.PhotosPage
import com.livelike.flickersearchlibrary.service.FlickrService

/**
 * Implementation of [FlickrService].
 */
internal class FlickrServiceLogic(private val api: FlickrApi) : FlickrService {

    override suspend fun search(searchQuery: String): PhotosPage {
        return api.search(searchQuery).photos // TODO: handle and return errors
    }
}